#include <stdio.h>
#include <math.h>


int main () {
  int n, i, cifra, temp=0, stepen;

  scanf("%d", &n);
  if (n<1000 || n>9999) {
    return printf("-1\n");
  }

  stepen=0;

  for (i=0;i<4;i++) {
    cifra=n%10;
    if (cifra%2!=0) {
      cifra=cifra-1;
    }
    temp=temp+pow(10,stepen)*cifra;
    n=n/10;
    stepen++;
  }
  printf("%d\n", temp);
  return 0;
}

